# Interface Replace

String replacement

Represents an exact match string replacement.

Note: `to` or `from` may be null or undefined, and will be tested using `===`.

interface Replace {
from: string;
to: string;
}

- Defined in src/router/params/interface.ts:353

##### Index

### Properties

from
to

## Properties

### from

from: string

The value to replace.

May be `null` or `undefined`. The entire value must match using `===`. When found, the [[to]] value is used instead.

- Defined in src/router/params/interface.ts:361

### to

to: string

The new value

Used instead of the [[from]] value.

- Defined in src/router/params/interface.ts:368